Delete a message
Delete a message entity from the Notifly platform by **messageId**. This action is irreversible. **messageId** is required and of mongodbId type.
Delete a message entity from the Notifly platform by messageId. This action is irreversible. messageId is required and of mongodbId type.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/messages/507f1f77bcf86cd799439011"{ "data": { "acknowledged": true, "status": "deleted" }}List all messages GET
List all messages for the current environment. This API supports filtering by **channel**, **subscriberId**, and **transactionId**. This API returns a paginated list of messages.
Delete messages by transactionId DELETE
Delete multiple messages from the Notifly platform using **transactionId** of triggered event. This API supports filtering by **channel** and delete all messages associated with the **transactionId**.